Get Block Transactions Ext
curl --request GET \
--url https://toncenter.com/api/v2/getBlockTransactionsExtimport requests
url = "https://toncenter.com/api/v2/getBlockTransactionsExt"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://toncenter.com/api/v2/getBlockTransactionsExt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"result": {
"@type": "blocks.transactionsExt",
"id": {
"@type": "ton.blockIdExt",
"workchain": -1,
"shard": "-9223372036854775808",
"seqno": 1,
"root_hash": "8GYhhrigd8CwZGrRT59iulLDcgiTYuvOAzFJxugc0Ts=",
"file_hash": "V+XzykEwun4yePZhAEPZk77RbMfMOgS/S4GiJkSKY6s="
},
"req_count": 40,
"incomplete": false,
"transactions": [
{
"@type": "raw.transaction",
"address": {
"@type": "accountAddress",
"account_address": "Ef8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADAU"
},
"utime": 1573822385,
"data": "te6cckECCAEAASUAA69w...",
"transaction_id": {
"@type": "internal.transactionId",
"lt": "1000001",
"hash": "50ctdvRx74CQ4/JW5ziragzoKzYhgxCTjPtrtjD61TU="
},
"fee": "0",
"storage_fee": "0",
"other_fee": "0",
"in_msg": {
"@type": "raw.message",
"hash": "5sUeIdwmkqF4ye2/w904xrE2H+Kcg66mZZqT0Dlab8o=",
"source": {
"@type": "accountAddress",
"account_address": "Ef8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADAU"
},
"destination": {
"@type": "accountAddress",
"account_address": "Ef8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADAU"
},
"value": "0",
"extra_currencies": [
{
"@type": "extraCurrency",
"id": 239,
"amount": "666666666666"
},
{
"@type": "extraCurrency",
"id": -17,
"amount": "1000000000000"
}
],
"fwd_fee": "0",
"ihr_fee": "0",
"created_lt": "1000000",
"body_hash": "lqKW0iTyhcZ77pPDD4owkVfw2qNdxbh+QQt4YwoJz8c=",
"msg_data": {
"@type": "msg.dataRaw",
"body": "te6cckEBAQEAAgAAAEysuc0=",
"init_state": ""
}
},
"out_msgs": [],
"account": "-1:0000000000000000000000000000000000000000000000000000000000000000"
}
],
"@extra": "1755814593.0613906:1:0.8158701007745434"
}
}Blocks
Get Block Transactions Ext
Get transactions of the given block.
GET
/
getBlockTransactionsExt
Get Block Transactions Ext
Query Parameters
⌘I

